Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus.xml
Class CurrentResultReportXmlTranslator

    java.lang.Object
      com.sun.management.oss.impl.pm.opstatus.xml.CurrentResultReportXmlTranslator

public class CurrentResultReportXmlTranslator
extends java.lang.Object

Constructor Summary
`CurrentResultReportXmlTranslator()`

Method Summary
`static java.lang.Object` | `fromXml(org.w3c.dom.Element element, java.lang.String type)`
`static void` | `fromXmlNoRoot(org.jdom.Element element, CurrentResultReport currentResultReport)`
`static java.lang.String` | `toXml(CurrentResultReport currentResultReport, java.lang.String elementName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentResultReportXmlTranslator

    public CurrentResultReportXmlTranslator()

Method Detail

### toXml

    public static java.lang.String toXml(CurrentResultReport currentResultReport,
                                         java.lang.String elementName)
                                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### fromXml

    public static java.lang.Object fromXml(org.w3c.dom.Element element,
                                           java.lang.String type)
                                    throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### fromXmlNoRoot

    public static void fromXmlNoRoot(org.jdom.Element element,
                                     CurrentResultReport currentResultReport)
                              throws org.xml.sax.SAXException,
                                     java.text.ParseException,
                                     org.jdom.JDOMException

  Throws:
    `org.xml.sax.SAXException`
    `java.text.ParseException`
    `org.jdom.JDOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD